const n = Number(require("fs").readFileSync(0,"utf8").toString());
// let flr=1, flr_max=1;
// while(n>flr_max){
//     flr_max += flr*6;
//     flr++;
// }
// console.log(flr);

console.log(Math.ceil((1+Math.sqrt(1+4*(n-1)/3))/2));